Index: CKEditor/releases/latest/_source/lang/ar.js
===================================================================
--- CKEditor/releases/latest/_source/lang/ar.js	(revision 4887)
+++ CKEditor/releases/latest/_source/lang/ar.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'محرر النص المنسق, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'نموذج',
 		checkbox		: 'خانة إختيار',
-		radio		: 'زر اختيار',
+		radio			: 'زر اختيار',
 		textField		: 'مربع نص',
 		textarea		: 'مساحة نصية',
 		hiddenField		: 'إدراج حقل خفي',
 		button			: 'زر ضغط',
-		select	: 'اختار',
+		select			: 'اختار',
 		imageButton		: 'زر صورة',
 		notSet			: '<بدون تحديد>',
@@ -89,9 +93,17 @@
 		ok				: 'موافق',
 		cancel			: 'إلغاء الأمر',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'عام',
 		advancedTab		: 'متقدم',
-		validateNumberFailed	: 'لايوجد نتيجة',
+		validateNumberFailed : 'لايوجد نتيجة',
 		confirmNewPage	: 'ستفقد أي متغييرات اذا لم تقم بحفظها اولا. هل أنت متأكد أنك تريد صفحة جديدة؟',
 		confirmCancel	: 'بعض الخيارات قد تغيرت. هل أنت متأكد من إغلاق مربع النص؟',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'متقدم',
 		type		: 'نوع الربط',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'مكان في هذا المستند',
 		toEmail		: 'بريد إلكتروني',
-		target		: 'هدف الرابط',
-		targetNotSet	: '<بدون تحديد>',
-		targetFrame	: '<إطار>',
-		targetPopup	: '<نافذة منبثقة>',
-		targetNew	: 'إطار جديد (_blank)',
-		targetTop	: 'صفحة كاملة (_top)',
-		targetSelf	: 'الاطار الحالى (_self)',
-		targetParent	: 'الإطار الأصلي (_parent)',
+		targetFrame		: '<إطار>',
+		targetPopup		: '<نافذة منبثقة>',
 		targetFrameName	: 'اسم الإطار المستهدف',
 		targetPopupName	: 'اسم النافذة المنبثقة',
@@ -132,5 +139,5 @@
 		popupResizable	: 'قابلة التشكيل',
 		popupStatusBar	: 'شريط الحالة',
-		popupLocationBar	: 'شريط العنوان',
+		popupLocationBar: 'شريط العنوان',
 		popupToolbar	: 'شريط الأدوات',
 		popupMenuBar	: 'القوائم الرئيسية',
@@ -144,5 +151,4 @@
 		id				: 'هوية',
 		langDir			: 'إتجاه النص',
-		langDirNotSet	: '<بدون تحديد>',
 		langDirLTR		: 'اليسار لليمين (LTR)',
 		langDirRTL		: 'اليمين لليسار (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'الحدود',
 		align		: 'المحاذاة',
-		alignNotSet	: '<بدون محاذاة>',
 		alignLeft	: 'يسار',
 		alignCenter	: 'وسط',
@@ -211,4 +216,5 @@
 		widthPx		: 'بكسل',
 		widthPc		: 'بالمئة',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'الإرتفاع',
 		cellSpace	: 'تباعد الخلايا',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'امتداد الصفوف يجب أن يكون عدداً صحيحاً.',
 			invalidColSpan	: 'امتداد الأعمدة يجب أن يكون عدداً صحيحاً.',
-			chooseColor : 'اختر'
+			chooseColor		: 'اختر'
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'اسم الملف',
 		method		: 'الأسلوب',
-		encoding	: 'تشفير',
-		target		: 'الهدف',
-		targetNotSet	: '<بدون تحديد>',
-		targetNew	: 'نافذة جديدة (_blank)',
-		targetTop	: 'نافذة بالاعلى (_top)',
-		targetSelf	: 'نفس النافذة (_self)',
-		targetParent	: 'النافذة الأصل (_parent)'
+		encoding	: 'تشفير'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'خصائص زر الصورة',
 		menu		: 'خصائص الصورة',
-		infoTab	: 'معلومات الصورة',
+		infoTab		: 'معلومات الصورة',
 		btnUpload	: 'أرسلها للخادم',
-		url		: 'موقع الصورة',
-		upload	: 'رفع',
-		alt		: 'عنوان الصورة',
+		upload		: 'رفع',
+		alt			: 'عنوان الصورة',
 		width		: 'العرض',
-		height	: 'الإرتفاع',
+		height		: 'الإرتفاع',
 		lockRatio	: 'تناسق الحجم',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'إستعادة الحجم الأصلي',
-		border	: 'سمك الحدود',
-		hSpace	: 'تباعد أفقي',
-		vSpace	: 'تباعد عمودي',
+		border		: 'سمك الحدود',
+		hSpace		: 'تباعد أفقي',
+		vSpace		: 'تباعد عمودي',
 		align		: 'محاذاة',
 		alignLeft	: 'يسار',
 		alignRight	: 'يمين',
-		preview	: 'معاينة',
 		alertUrl	: 'فضلاً أكتب الموقع الذي توجد عليه هذه الصورة.',
-		linkTab	: 'الرابط',
+		linkTab		: 'الرابط',
 		button2Img	: 'هل تريد تحويل زر الصورة المختار إلى صورة بسيطة؟',
 		img2Button	: 'هل تريد تحويل الصورة المختارة إلى زر صورة؟',
-		urlMissing : 'عنوان مصدر الصورة مفقود'
+		urlMissing	: 'عنوان مصدر الصورة مفقود',
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'خصائص الفلاش',
 		propertiesTab	: 'الخصائص',
-		title		: 'خصائص فيلم الفلاش',
-		chkPlay		: 'تشغيل تلقائي',
-		chkLoop		: 'تكرار',
-		chkMenu		: 'تمكين قائمة فيلم الفلاش',
-		chkFull		: 'ملء الشاشة',
- 		scale		: 'الحجم',
+		title			: 'خصائص فيلم الفلاش',
+		chkPlay			: 'تشغيل تلقائي',
+		chkLoop			: 'تكرار',
+		chkMenu			: 'تمكين قائمة فيلم الفلاش',
+		chkFull			: 'ملء الشاشة',
+ 		scale			: 'الحجم',
 		scaleAll		: 'إظهار الكل',
 		scaleNoBorder	: 'بلا حدود',
@@ -411,38 +415,38 @@
 		access			: 'دخول النص البرمجي',
 		accessAlways	: 'دائماً',
-		accessSameDomain	: 'نفس النطاق',
-		accessNever	: 'مطلقاً',
-		align		: 'محاذاة',
-		alignLeft	: 'يسار',
-		alignAbsBottom: 'أسفل النص',
-		alignAbsMiddle: 'وسط السطر',
+		accessSameDomain: 'نفس النطاق',
+		accessNever		: 'مطلقاً',
+		align			: 'محاذاة',
+		alignLeft		: 'يسار',
+		alignAbsBottom	: 'أسفل النص',
+		alignAbsMiddle	: 'وسط السطر',
 		alignBaseline	: 'على السطر',
-		alignBottom	: 'أسفل',
-		alignMiddle	: 'وسط',
-		alignRight	: 'يمين',
+		alignBottom		: 'أسفل',
+		alignMiddle		: 'وسط',
+		alignRight		: 'يمين',
 		alignTextTop	: 'أعلى النص',
-		alignTop	: 'أعلى',
-		quality		: 'جودة',
-		qualityBest		 : 'أفضل',
-		qualityHigh		 : 'عالية',
-		qualityAutoHigh	 : 'عالية تلقائياً',
-		qualityMedium	 : 'متوسطة',
-		qualityAutoLow	 : 'منخفضة تلقائياً',
-		qualityLow		 : 'منخفضة',
-		windowModeWindow	 : 'نافذة',
-		windowModeOpaque	 : 'غير شفاف',
-		windowModeTransparent	 : 'شفاف',
-		windowMode	: 'وضع النافذة',
-		flashvars	: 'متغيرات الفلاش',
-		bgcolor	: 'لون الخلفية',
-		width	: 'العرض',
-		height	: 'الإرتفاع',
-		hSpace	: 'تباعد أفقي',
-		vSpace	: 'تباعد عمودي',
-		validateSrc : 'فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط',
-		validateWidth : 'العرض يجب أن يكون عدداً.',
-		validateHeight : 'الارتفاع يجب أن يكون عدداً.',
-		validateHSpace : 'HSpace يجب أن يكون عدداً.',
-		validateVSpace : 'VSpace يجب أن يكون عدداً.'
+		alignTop		: 'أعلى',
+		quality			: 'جودة',
+		qualityBest		: 'أفضل',
+		qualityHigh		: 'عالية',
+		qualityAutoHigh	: 'عالية تلقائياً',
+		qualityMedium	: 'متوسطة',
+		qualityAutoLow	: 'منخفضة تلقائياً',
+		qualityLow		: 'منخفضة',
+		windowModeWindow: 'نافذة',
+		windowModeOpaque: 'غير شفاف',
+		windowModeTransparent : 'شفاف',
+		windowMode		: 'وضع النافذة',
+		flashvars		: 'متغيرات الفلاش',
+		bgcolor			: 'لون الخلفية',
+		width			: 'العرض',
+		height			: 'الإرتفاع',
+		hSpace			: 'تباعد أفقي',
+		vSpace			: 'تباعد عمودي',
+		validateSrc		: 'فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط',
+		validateWidth	: 'العرض يجب أن يكون عدداً.',
+		validateHeight	: 'الارتفاع يجب أن يكون عدداً.',
+		validateHSpace	: 'HSpace يجب أن يكون عدداً.',
+		validateVSpace	: 'VSpace يجب أن يكون عدداً.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : 'عنصر 1%'
 	},
 
-	numberedlist : 'ادخال/حذف تعداد رقمي',
-	bulletedlist : 'ادخال/حذف تعداد نقطي',
-	indent : 'زيادة المسافة البادئة',
-	outdent : 'إنقاص المسافة البادئة',
+	numberedlist	: 'ادخال/حذف تعداد رقمي',
+	bulletedlist	: 'ادخال/حذف تعداد نقطي',
+	indent			: 'زيادة المسافة البادئة',
+	outdent			: 'إنقاص المسافة البادئة',
 
 	justify :
 	{
-		left : 'محاذاة إلى اليسار',
-		center : 'توسيط',
-		right : 'محاذاة إلى اليمين',
-		block : 'ضبط'
+		left	: 'محاذاة إلى اليسار',
+		center	: 'توسيط',
+		right	: 'محاذاة إلى اليمين',
+		block	: 'ضبط'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع النسخ التلقائي. فضلاً إستخدم لوحة المفاتيح لفعل ذلك (Ctrl+C).',
 		pasteMsg	: 'الصق داخل الصندوق بإستخدام زرائر (<STRONG>Ctrl+V</STRONG>) في لوحة المفاتيح، ثم اضغط زر  <STRONG>موافق</STRONG>.',
-		securityMsg	: 'نظراً لإعدادات الأمان الخاصة بمتصفحك، لن يتمكن هذا المحرر من الوصول لمحتوى حافظتك، لذلك يجب عليك لصق المحتوى مرة أخرى في هذه النافذة.'
+		securityMsg	: 'نظراً لإعدادات الأمان الخاصة بمتصفحك، لن يتمكن هذا المحرر من الوصول لمحتوى حافظتك، لذلك يجب عليك لصق المحتوى مرة أخرى في هذه النافذة.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'يبدو أن النص المراد لصقه منسوخ من برنامج وورد. هل تود تنظيفه قبل الشروع في عملية اللصق؟',
-		toolbar : 'لصق من وورد',
-		title : 'لصق من وورد',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'يبدو أن النص المراد لصقه منسوخ من برنامج وورد. هل تود تنظيفه قبل الشروع في عملية اللصق؟',
+		toolbar			: 'لصق من وورد',
+		title			: 'لصق من وورد',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'لصق كنص بسيط',
-		title : 'لصق كنص بسيط'
+		button	: 'لصق كنص بسيط',
+		title	: 'لصق كنص بسيط'
 	},
 
 	templates :
 	{
-		button : 'القوالب',
-		title : 'قوالب المحتوى',
-		insertOption: 'استبدال المحتوى',
-		selectPromptMsg: 'اختر القالب الذي تود وضعه في المحرر',
-		emptyListMsg : '(لم يتم تعريف أي قالب)'
+		button			: 'القوالب',
+		title			: 'قوالب المحتوى',
+		insertOption	: 'استبدال المحتوى',
+		selectPromptMsg	: 'اختر القالب الذي تود وضعه في المحرر',
+		emptyListMsg	: '(لم يتم تعريف أي قالب)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'أنماط',
-		voiceLabel : 'أنماط',
-		panelVoiceLabel : 'اختر نمط',
-		panelTitle1 : 'أنماط الفقرة',
-		panelTitle2 : 'أنماط مضمنة',
-		panelTitle3 : 'أنماط الكائن'
+		label		: 'أنماط',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'أنماط الفقرة',
+		panelTitle2	: 'أنماط مضمنة',
+		panelTitle3	: 'أنماط الكائن'
 	},
 
 	format :
 	{
-		label : 'تنسيق',
-		voiceLabel : 'تنسيق',
-		panelTitle : 'تنسيق الفقرة',
-		panelVoiceLabel : 'اختر تنسيق الفقرة',
-
-		tag_p : 'عادي',
-		tag_pre : 'منسّق',
-		tag_address : 'عنوان',
-		tag_h1 : 'العنوان 1',
-		tag_h2 : 'العنوان  2',
-		tag_h3 : 'العنوان  3',
-		tag_h4 : 'العنوان  4',
-		tag_h5 : 'العنوان  5',
-		tag_h6 : 'العنوان  6',
-		tag_div : 'عادي (DIV)'
+		label		: 'تنسيق',
+		panelTitle	: 'تنسيق الفقرة',
+
+		tag_p		: 'عادي',
+		tag_pre		: 'منسّق',
+		tag_address	: 'عنوان',
+		tag_h1		: 'العنوان 1',
+		tag_h2		: 'العنوان  2',
+		tag_h3		: 'العنوان  3',
+		tag_h4		: 'العنوان  4',
+		tag_h5		: 'العنوان  5',
+		tag_h6		: 'العنوان  6',
+		tag_div		: 'عادي (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'خط',
-		voiceLabel : 'حجم الخط',
-		panelTitle : 'حجم الخط',
-		panelVoiceLabel : 'اختر حجم الخط'
+		label		: 'خط',
+		voiceLabel	: 'حجم الخط',
+		panelTitle	: 'حجم الخط'
 	},
 
 	fontSize :
 	{
-		label : 'حجم الخط',
-		voiceLabel : 'حجم الخط',
-		panelTitle : 'حجم الخط',
-		panelVoiceLabel : 'اختر حجم الخط'
+		label		: 'حجم الخط',
+		voiceLabel	: 'حجم الخط',
+		panelTitle	: 'حجم الخط'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'لون النص',
-		bgColorTitle : 'لون الخلفية',
-		auto : 'تلقائي',
-		more : 'ألوان إضافية...'
+		textColorTitle	: 'لون النص',
+		bgColorTitle	: 'لون الخلفية',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'تلقائي',
+		more			: 'ألوان إضافية...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'تدقيق إملائي أثناء الكتابة',
-		enable : 'تفعيل SCAYT',
-		disable : 'تعطيل SCAYT',
-		about : 'عن SCAYT',
-		toggle : 'تثبيت SCAYT',
-		options : 'خيارات',
-		langs : 'لغات',
-		moreSuggestions : 'المزيد من المقترحات',
-		ignore : 'تجاهل',
-		ignoreAll : 'تجاهل الكل',
-		addWord : 'إضافة كلمة',
-		emptyDic : 'اسم القاموس يجب ألا يكون فارغاً.',
-		optionsTab : 'خيارات',
-		languagesTab : 'لغات',
-		dictionariesTab : 'قواميس',
-		aboutTab : 'عن'
+		title			: 'تدقيق إملائي أثناء الكتابة',
+		enable			: 'تفعيل SCAYT',
+		disable			: 'تعطيل SCAYT',
+		about			: 'عن SCAYT',
+		toggle			: 'تثبيت SCAYT',
+		options			: 'خيارات',
+		langs			: 'لغات',
+		moreSuggestions	: 'المزيد من المقترحات',
+		ignore			: 'تجاهل',
+		ignoreAll		: 'تجاهل الكل',
+		addWord			: 'إضافة كلمة',
+		emptyDic		: 'اسم القاموس يجب ألا يكون فارغاً.',
+		optionsTab		: 'خيارات',
+		languagesTab	: 'لغات',
+		dictionariesTab	: 'قواميس',
+		aboutTab		: 'عن'
 	},
 
 	about :
 	{
-		title : 'عن CKEditor',
-		dlgTitle : 'عن rotidEKC',
-		moreInfo : 'للحصول على معلومات الترخيص ، يرجى زيارة موقعنا على شبكة الانترنت:',
-		copy : 'حقوق النشر &copy; $1. جميع الحقوق محفوظة.'
+		title		: 'عن CKEditor',
+		dlgTitle	: 'عن rotidEKC',
+		moreInfo	: 'للحصول على معلومات الترخيص ، يرجى زيارة موقعنا على شبكة الانترنت:',
+		copy		: 'حقوق النشر &copy; $1. جميع الحقوق محفوظة.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'إرساء',
-		flash : 'رسم متحرك بالفلاش',
-		div : 'فاصل صفحة',
-		unknown : 'كائن غير معروف'
+		anchor	: 'إرساء',
+		flash	: 'رسم متحرك بالفلاش',
+		div		: 'فاصل صفحة',
+		unknown	: 'كائن غير معروف'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'اختر لون',
-		highlight : 'إلقاء الضوء',
-		selected : 'مُختار',
-		clear : 'مسح'
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'اختر لون',
+		highlight	: 'إلقاء الضوء',
+		selected	: 'مُختار',
+		clear		: 'مسح'
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
